POST Vehicles
Gebruik dit endpoint om een nieuw voertuig binnen een organization aan te maken.
Gebruikersniveau: Gevorderd
Endpoint
POST /v1/{scopeId}/vehicles| Eigenschap | Waarde |
|---|---|
| Method | POST |
| Scope ID | Organization UUID |
| Authenticatie | Authorization: Bearer <access_token> |
| Vereiste scope | routix:vehicles:write |
| Content-Type | application/json |
| Request body | JSON object |
Toegestane createvelden
| Veld |
|---|
license_plate |
name |
vehicle_type |
status |
brand |
model |
comment |
Voorbeeldrequest
curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440050/vehicles" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"license_plate": "12-AB-34",
"name": "Truck 12",
"vehicle_type": "truck",
"status": "active"
}'Voorbeeldresponse
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440051",
"license_plate": "12-AB-34",
"name": "Truck 12",
"vehicle_type": "truck",
"status": "active"
},
"version": "v1"
}Last updated on

